package com.ruoyi.config.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.config.mapper.MeetingConfigMapper;
import com.ruoyi.config.domain.MeetingConfig;
import com.ruoyi.config.service.IMeetingConfigService;
import com.ruoyi.common.core.text.Convert;

/**
 * 视频会议配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-04-18
 */
@Service
public class MeetingConfigServiceImpl implements IMeetingConfigService 
{
    @Autowired
    private MeetingConfigMapper meetingConfigMapper;

    /**
     * 查询视频会议配置
     * 
     * @param id 视频会议配置主键
     * @return 视频会议配置
     */
    @Override
    public MeetingConfig selectMeetingConfigById(Long id)
    {
        return meetingConfigMapper.selectMeetingConfigById(id);
    }

    /**
     * 查询视频会议配置列表
     * 
     * @param meetingConfig 视频会议配置
     * @return 视频会议配置
     */
    @Override
    public List<MeetingConfig> selectMeetingConfigList(MeetingConfig meetingConfig)
    {
        return meetingConfigMapper.selectMeetingConfigList(meetingConfig);
    }

    /**
     * 新增视频会议配置
     * 
     * @param meetingConfig 视频会议配置
     * @return 结果
     */
    @Override
    public int insertMeetingConfig(MeetingConfig meetingConfig)
    {
        return meetingConfigMapper.insertMeetingConfig(meetingConfig);
    }

    /**
     * 修改视频会议配置
     * 
     * @param meetingConfig 视频会议配置
     * @return 结果
     */
    @Override
    public int updateMeetingConfig(MeetingConfig meetingConfig)
    {
        return meetingConfigMapper.updateMeetingConfig(meetingConfig);
    }

    /**
     * 批量删除视频会议配置
     * 
     * @param ids 需要删除的视频会议配置主键
     * @return 结果
     */
    @Override
    public int deleteMeetingConfigByIds(String ids)
    {
        return meetingConfigMapper.deleteMeetingConfigByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除视频会议配置信息
     * 
     * @param id 视频会议配置主键
     * @return 结果
     */
    @Override
    public int deleteMeetingConfigById(Long id)
    {
        return meetingConfigMapper.deleteMeetingConfigById(id);
    }
}
